[Yandex Cloud documentation](../../../index.md) > [Yandex Cloud Postbox](../../index.md) > [API reference](../index.md) > [REST](index.md) > Addresses > GetDomainIdentity method

# GetDomainIdentity method

This method returns information on an [address](../../concepts/glossary.md#adress) in a folder. The folder is selected based on the service account the request originates from.

## Request {#request}

```http
GET /v2/email/identities/{DomainIdentity} HTTP/2
```

### Path parameters {#path-parameters}

#|
|| **Parameter** | **Description** ||
|| `DomainIdentity` | **Type**: String.

Address you are requesting info on. The minimum length is one character. ||
|#

### Request headers {#request-headers}

Use [common request headers](request-headers.md) in your requests.

## Responses {#responses}

### 200 OK {#200}

```json
{
  "IdentityType": "<address_type>",
  "FeedbackForwardingStatus": <issue_notification_status>,
  "VerifiedForSendingStatus": <verification_status_for_sending_emails>,
  "DkimAttributes": {
    "SigningEnabled": <DKIM_usage>,
    "Status": "<DKIM_search_status>",
    "Tokens": [
      "<public_key_selector>"
    ],
    "SigningAttributesOrigin": "<DKIM_configuration_method>",
    "NextSigningKeyLength": "<next_key_length>",
    "CurrentSigningKeyLength": "<current_key_length>"
  },
  "Tags": [
    {
      "Key": "<label_key>",
      "Value": "<label_value>"
    }
  ],
  "ConfigurationSetName": "<configuration_name>",
  "VerificationStatus": "<address_verification_status>"
}
```

#|
|| **Parameter** | **Description** ||
|| `IdentityType` | **Type**: String.

Address type. When takes the `DOMAIN` value. ||
|| `FeedbackForwardingStatus` | **Type**: Boolean.

The possible values are `true` or `false`. If set to `true`, you will be getting notifications about issues with delivering and sending emails. ||
|| `VerifiedForSendingStatus` | **Type**: Boolean.

Indicates whether the address can be used to send emails. The possible values are `true` or `false`.
To send emails, you need to verify the address. ||
|| `DkimAttributes` | **Type**: Object.

Object that contains the DKIM signature parameters. ||
|| `SigningEnabled` | **Type**: Boolean.

Indicates whether a DKIM signature is used when sending from this address. The possible values are `true` or `false`. ||
|| `Status` | **Type**: String.

Indicates whether Yandex Cloud Postbox was able to detect a DKIM signature in the DNS configuration of the address. The possible values are:
  * `PENDING`: Search is in progress, but Yandex Cloud Postbox has not yet detected a DKIM signature in the address DNS configuration.
  * `SUCCESS`: DKIM signature detected.
  * `FAILED`: Failed to detect a DKIM signature.
  * `TEMPORARY_FAILURE`: Yandex Cloud Postbox is not able to detect a DKIM signature due to a temporary issue.
  * `NOT_STARTED`: Search was not started. ||
|| `Tokens` | **Type**: Array.
  
List of selectors for public key identification. Selector type: String. ||
|| `SigningAttributesOrigin` | **Type**: String.

Indicates how the DKIM signature was configured. The possible values are:

  * `AWS_SES`: Easy DKIM. DKIM keys generated by Yandex Cloud Postbox.
  * `EXTERNAL`: BYODKIM. A key is provided by the user. ||
|| `NextSigningKeyLength` | **Type**: String.

Length of the RSA key that will be used for the next DKIM key rotation when using Easy DKIM. It can be either `RSA_2048_BIT` or `RSA_1024_BIT`. ||
|| `CurrentSigningKeyLength` | **Type**: String.

Length of the current RSA key used for DKIM signing when using Easy DKIM. It can be either `RSA_2048_BIT` or `RSA_1024_BIT`. ||
|| `Tags` | **Type**: Array.

Address label array. ||
|| `ConfigurationSetName` | **Type**: String.

Configuration name. ||
|| `VerificationStatus` | **Type**: String.

Verification status:
  * `PENDING`: Verification is ongoing, but so far Yandex Cloud Postbox was not able to verify the address.
  * `SUCCESS`: Address successfully verified.
  * `FAILED`: Verification failed.
  * `TEMPORARY_FAILURE`: Yandex Cloud Postbox is not able to identify the verification status due to a temporary issue.
  * `NOT_STARTED`: Verification was not started. ||
|#

### Errors {#errors}

For all errors, the response body has the same format:

```json
{
   "Code": "<error_name>",
   "message": "<error_description>"
}
```

The name of the error is taken from its code, e.g., `BadRequestException`.

The possible errors include:

#|
|| **Error code** | **Description** ||
|| `400 BadRequestException` | The request contains invalid headers or parameters. ||
|| `404 NotFoundException` | The requested resource was not found. ||
|| `429 TooManyRequestsException` | The request [quota](../../concepts/limits.md#postbox-quotas) was exceeded. ||
|#